/*
 *  ASA Library
 *  Copyright (C) 2004-2008 Distributed Systems Architecture Research Group
 *  http://asa.cs.st-andrews.ac.uk/
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package gamf.addons.apstractSystemAdapter;

import gamf.addons.junittests.DummyEffector;
import gamf.interfaces.systemAdapter.IEffector;

/**
 * Provides the functionalities a standard effector is envisioned to have. I.e.
 * adapting a tuning knob after being registered with the GAMF (provides only
 * the latter). An implementation of this effector can be seen in the junit test
 * package ({@link DummyEffector}).
 * 
 * @author Markus
 * 
 */

public abstract class Effector extends SystemAdapter implements IEffector {

	public Effector(String systemAdapterID, String systemAdapterCategory) {
		super(systemAdapterID, systemAdapterCategory);
	}

}
