/*
 *  ASA Library
 *  Copyright (C) 2004-2008 Distributed Systems Architecture Research Group
 *  http://asa.cs.st-andrews.ac.uk/
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package gamf.addons.junittests;

import gamf.addons.apstractSystemAdapter.Effector;
import gamf.framework.exceptions.TypeMissMatch;
import gamf.interfaces.systemAdapter.IEffector;

/**
 * Dummy Effector to support Junit tests
 * 
 * @author Markus
 * 
 */
public class DummyEffector extends Effector implements IEffector {

	Integer dummyTuniningKnop = null;

	public DummyEffector() {
		super(JunitTestRegister.EFFECTORID, JunitTestRegister.EFFECTORCATEGORY);
	}

	public Object get() {
		return dummyTuniningKnop;
	}

	public void set(Object value) throws TypeMissMatch {
		if (value instanceof Integer) {
			dummyTuniningKnop = (Integer) value;
		} else {
			throw new TypeMissMatch(
					"the dummy tuning knob is of type integer!!!");

		}
	}

}
