/*
 *  ASA Library
 *  Copyright (C) 2004-2008 Distributed Systems Architecture Research Group
 *  http://asa.cs.st-andrews.ac.uk/
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package gamf.addons.junittests;

import java.util.List;

import gamf.addons.apstractSystemAdapter.EventGenerator;
import gamf.framework.exceptions.ConfigurationError;
import gamf.interfaces.systemAdapter.IEventGenerator;
import uk.ac.standrews.cs.nds.eventModel.Event;
import uk.ac.standrews.cs.nds.eventModel.IEvent;

/**
 * Dummy Event Generator to support Junit tests
 * 
 * @author Markus
 * 
 */
public class DummyEventGenerator extends EventGenerator implements
		IEventGenerator {

	public DummyEventGenerator() {
		super(JunitTestRegister.EVENTGENERATORID,
				JunitTestRegister.EVENTGENERATORCATEGORY);

		localEventTypes.add(JunitTestRegister.EVENTGENERATOREVENTTYPE_1);
		localEventTypes.add(JunitTestRegister.EVENTGENERATOREVENTTYPE_2);

	}

	public void populateEventStore() throws ConfigurationError {
		String info1 = "info1";
		IEvent event1 = createEvent(
				JunitTestRegister.EVENTGENERATOREVENTTYPE_1, info1);

		publish(event1);

		String info2 = "info2";

		IEvent event2 = createEvent(
				JunitTestRegister.EVENTGENERATOREVENTTYPE_2, info2);

		publish(event2);

	}

	private IEvent createEvent(String eventType, String info) {

		IEvent event = new Event(eventType);
		event.put(JunitTestRegister.EVENTINFOID, info);
		return event;
	}

	public void triggerEventGeneration(String eventType, List<String> msgs) {
		// TODO Auto-generated method stub
		
	}

	public void triggerEventGeneration(String eventType, String msgs) {
		// TODO Auto-generated method stub
		
	}

	public void triggerEventGeneration(String eventType) {
		// TODO Auto-generated method stub
		
	}
}
