/*
 *  ASA Library
 *  Copyright (C) 2004-2008 Distributed Systems Architecture Research Group
 *  http://asa.cs.st-andrews.ac.uk/
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package gamf.addons.junittests;

import gamf.addons.apstractSystemAdapter.MetricExtractor;
import gamf.framework.MetricResult;
import gamf.framework.exceptions.ConfigurationError;
import gamf.framework.exceptions.MetricExtractionException;
import gamf.interfaces.framework.IEventStore;
import gamf.interfaces.framework.IMetricResult;
import gamf.interfaces.systemAdapter.IMetricExtractor;

import java.util.List;

import uk.ac.standrews.cs.nds.eventModel.IEvent;

public class DummyMetricExtractor extends MetricExtractor implements
		IMetricExtractor {

	IEventStore eventStore;

	public DummyMetricExtractor() {
		super(JunitTestRegister.METRICEVALUATORID,
				JunitTestRegister.METRICEVALUATORCATEGORY);
	}

	public IMetricResult extractMetricResult() throws MetricExtractionException {
		try {
			eventStore = gimmeEventStore();
		} catch (ConfigurationError e) {
			String msg = "MetricExtractor:" + systemAdapterID
					+ " could not access event store";
			throw new MetricExtractionException(msg);

		}

		List<IEvent> events = eventStore
				.getAllOfType(JunitTestRegister.EVENTGENERATOREVENTTYPE_1);

		int i = 0;
		for (@SuppressWarnings("unused")
		IEvent event : events) {
			i++;
		}

		return new MetricResult(JunitTestRegister.METRIC, i);
	}

}
