/*
 *  ASA Library
 *  Copyright (C) 2004-2008 Distributed Systems Architecture Research Group
 *  http://asa.cs.st-andrews.ac.uk/
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package gamf.addons.junittests;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

import gamf.addons.apstractSystemAdapter.PolicyEvaluator;
import gamf.framework.exceptions.PolicyEvaluationException;
import gamf.interfaces.framework.IGAMF;
import gamf.interfaces.systemAdapter.IEffector;
import gamf.interfaces.systemAdapter.IPolicyEvaluator;

public class DummyPolicyEvaluator extends PolicyEvaluator implements
		IPolicyEvaluator {

	IEffector effector;
	List<IEffector> effectors;
	IGAMF manager;

	public DummyPolicyEvaluator(IEffector effector) {
		super(JunitTestRegister.POLICY_EVALUATOR_ID,
				JunitTestRegister.POLICY_EVALUATOR_CATEGORY);
		this.effector = effector;
		effectors = new ArrayList<IEffector>();
		effectors.add(effector);
	}

	public Iterator<IEffector> getEffectors() {
		return effectors.iterator();
	}

	public void setManagerReferece(IGAMF manager) {
		this.manager = manager;

	}

	public void evaluatePolicy() throws PolicyEvaluationException {

		Integer tuningKnobValue = (Integer) effector.get();
		tuningKnobValue++;
		try {
			effector.set(tuningKnobValue);
		} catch (Exception e) {
			String msg = "policy evaluator:" + systemAdapterID + " failed ";
			throw new PolicyEvaluationException(msg);
		}

	}

}
