/*
 *  ASA Library
 *  Copyright (C) 2004-2008 Distributed Systems Architecture Research Group
 *  http://asa.cs.st-andrews.ac.uk/
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package gamf.framework;


import java.util.Iterator;
import java.util.List;
import java.util.Vector;

import gamf.interfaces.framework.IMetricResult;
import gamf.interfaces.framework.IMetricValueStore;
/**
 * Enables access to the stored metricResult, and offers some integrated search functionality.
 * @author markus
 *
 */

@SuppressWarnings("serial")
public class MetricResultStore extends Vector<IMetricResult> implements IMetricValueStore {

	
	public MetricResultStore(){
		super();
	}
	
	

	public synchronized List<IMetricResult> getAllOfType(String type) {
		Vector<IMetricResult> searchResult = new Vector<IMetricResult>();
		
		Iterator<IMetricResult> metricResultsOfType = iterator();
		
		while(metricResultsOfType.hasNext()){
			IMetricResult metric = metricResultsOfType.next();
			if(metric.getType().equals(type)){
				searchResult.add(metric);
			}
		}
		
		return searchResult;
	}

	public List<IMetricResult> get(String key, String searchPattern) {
		// TODO implement some search mechanism
		return null;
	}
	
	



}
